###############################################################################
# Wireguard Service
#
# The wiregaurd service manages wireguard connection into and out of a 
# facility.
# 
###############################################################################
FROM registry.fedoraproject.org/fedora-minimal:39
MAINTAINER Geoff Lawler glawler@isi.edu

RUN microdnf install -y device-mapper btrfs-progs qgpgme-devel iproute wireguard-tools
COPY build/wireguard /usr/bin/wireguard

ENTRYPOINT /usr/bin/wireguard
